"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _quarkCore = require("quark-core");

var _Text = _interopRequireDefault(require("../Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Button = function Button(props) {
  return _react.default.createElement(_quarkCore.GetTheme, null, function (_ref) {
    var primaryColor = _ref.primaryColor,
        primaryColorDark = _ref.primaryColorDark,
        white = _ref.white,
        grey2 = _ref.grey2;
    return _react.default.createElement(_Text.default, _extends({
      defaultColor: primaryColor,
      activeColor: primaryColorDark,
      disabledColor: grey2,
      textColor: white
    }, props));
  });
};

var _default = Button;
exports.default = _default;