"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _View = _interopRequireDefault(require("react-native-web/dist/exports/View"));

var _StyleSheet = _interopRequireDefault(require("react-native-web/dist/exports/StyleSheet"));

var _styles = require("quark-core/styles");

var _buttons = require("../../buttons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

var BreadcrumbChild = function BreadcrumbChild(_ref) {
  var active = _ref.active,
      unused = _objectWithoutProperties(_ref, ["active"]);

  return _react.default.createElement(_buttons.SecondaryButton, _extends({
    textColor: active ? _styles.primaryColor : _styles.grey5,
    defaultColor: "white",
    activeColor: _styles.grey1,
    textStyle: _styles.text
  }, unused));
};

var styles = _StyleSheet.default.create({
  text: _extends({}, _styles.h3, {
    marginLeft: 0,
    marginRight: 0,
    fontSize: 20
  }),
  button: {
    paddingLeft: 2 * _styles.baseDim,
    paddingRight: 2 * _styles.baseDim
  }
});

var _default = BreadcrumbChild;
exports.default = _default;